Uploaded image for project: 'Puppet Development Kit'
  1. Puppet Development Kit
  2. PDK-1500

Create pdk-templates for using Litmus

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Template:
    • Acceptance Criteria:
      Hide
      • Create a branch on pdk-templates to publish the new templates
      • Travis CI and Appveyor templates should generate files that are compatible with "non-litmus-ified" and "litmus-ified" modules
      • Document the changes in the pdk-templates README
      Show
      Create a branch on pdk-templates to publish the new templates Travis CI and Appveyor templates should generate files that are compatible with "non-litmus-ified" and "litmus-ified" modules Document the changes in the pdk-templates README
    • Team:
      Puppet Developer Experience
    • QA Risk Assessment:
      Needs Assessment

      Description

      In MODULES-9950 the modules were audited for their litmus configurations for Travis and Appveyor. This ticket will track the work to modify the templates which can create CI configs compatible with Litmus, and existing modules.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              glenn.sarti Glenn Sarti
              Reporter:
              glenn.sarti Glenn Sarti
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support